[PATCH] Dead code removal

Remove some dead code and a small whitespace fix.

diff -urN b/common/gl_draw.c head/common/gl_draw.c
--- b/common/gl_draw.c	2004-11-03 18:19:52.000000000 +1030
+++ head/common/gl_draw.c	2005-05-16 09:40:16.000000000 +0930
@@ -1153,20 +1153,6 @@
 
     samples = alpha ? gl_alpha_format : gl_solid_format;
 
-#if 0
-    if (mipmap)
-	gluBuild2DMipmaps(GL_TEXTURE_2D, samples, width, height, GL_RGBA,
-			  GL_UNSIGNED_BYTE, trans);
-    else if (scaled_width == width && scaled_height == height)
-	glTexImage2D(GL_TEXTURE_2D, 0, samples, width, height, 0, GL_RGBA,
-		     GL_UNSIGNED_BYTE, trans);
-    else {
-	gluScaleImage(GL_RGBA, width, height, GL_UNSIGNED_BYTE, trans,
-		      scaled_width, scaled_height, GL_UNSIGNED_BYTE, scaled);
-	glTexImage2D(GL_TEXTURE_2D, 0, samples, scaled_width, scaled_height,
-		     0, GL_RGBA, GL_UNSIGNED_BYTE, scaled);
-    }
-#else
     texels += scaled_width * scaled_height;
 
     if (scaled_width == width && scaled_height == height) {
@@ -1200,9 +1186,8 @@
 			 scaled_height, 0, GL_RGBA, GL_UNSIGNED_BYTE, scaled);
 	}
     }
-  done:
-#endif
 
+  done:
     if (mipmap) {
 	glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER, gl_filter_min);
 	glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_MAG_FILTER, gl_filter_max);
diff -urN b/common/vid_x.c head/common/vid_x.c
--- b/common/vid_x.c	2004-11-03 18:19:52.000000000 +1030
+++ head/common/vid_x.c	2005-11-03 21:06:46.000000000 +1030
@@ -192,7 +192,7 @@
 }
 
 static void
-st2_fixup(XImage * framebuf, int x, int y, int width, int height)
+st2_fixup(XImage *framebuf, int x, int y, int width, int height)
 {
     int yi;
     unsigned char *src;
diff -urN b/common/x11_core.c head/common/x11_core.c
--- b/common/x11_core.c	2004-07-25 15:59:58.000000000 +0930
+++ head/common/x11_core.c	2005-11-03 20:56:49.000000000 +1030
@@ -23,5 +23,4 @@
 #include <X11/Xlib.h>
 
 Display *x_disp = NULL;
-Visual *x_vis = NULL;
 Window x_win = None;
diff -urN b/include/x11_core.h head/include/x11_core.h
--- b/include/x11_core.h	2004-07-25 16:00:00.000000000 +0930
+++ head/include/x11_core.h	2005-11-03 20:57:01.000000000 +1030
@@ -24,7 +24,6 @@
 #include <X11/Xlib.h>
 
 extern Display *x_disp;
-extern Visual *x_vis;
 extern Window x_win;
 
 #define X_CORE_MASK (VisibilityChangeMask | StructureNotifyMask | ExposureMask)
